org.eclipse.aether.internal.impl

## Class DefaultRepositoryConnectorProvider

- java.lang.Object
- - org.eclipse.aether.internal.impl.DefaultRepositoryConnectorProvider

- All Implemented Interfaces:
    RepositoryConnectorProvider, Service

      @Named
      @Component(role=RepositoryConnectorProvider.class)
      public class DefaultRepositoryConnectorProvider
      extends Object
      implements RepositoryConnectorProvider, Service

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRepositoryConnectorProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultRepositoryConnectorProvider` | `addRepositoryConnectorFactory(RepositoryConnectorFactory factory)`
    `void` | `initService(ServiceLocator locator)` Provides the opportunity to initialize this service and to acquire other services for its operation from the locator.
    `RepositoryConnector` | `newRepositoryConnector(RepositorySystemSession session, RemoteRepository repository)`
    `DefaultRepositoryConnectorProvider` | `setLoggerFactory(LoggerFactory loggerFactory)`
    `DefaultRepositoryConnectorProvider` | `setRepositoryConnectorFactories(Collection<RepositoryConnectorFactory> factories)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRepositoryConnectorProvider

          public DefaultRepositoryConnectorProvider()

  - ### Method Detail

    - #### initService

          public void initService(ServiceLocator locator)

      Description copied from interface: `Service`
      Provides the opportunity to initialize this service and to acquire other services for its operation from the locator. A service must not save the reference to the provided service locator.
      Specified by:
        `initService` in interface `Service`
      Parameters:
        `locator` - The service locator, must not be `null`.

    - #### setLoggerFactory

          public DefaultRepositoryConnectorProvider setLoggerFactory(LoggerFactory loggerFactory)

    - #### addRepositoryConnectorFactory

          public DefaultRepositoryConnectorProvider addRepositoryConnectorFactory(RepositoryConnectorFactory factory)

    - #### setRepositoryConnectorFactories

          public DefaultRepositoryConnectorProvider setRepositoryConnectorFactories(Collection<RepositoryConnectorFactory> factories)

    - #### newRepositoryConnector

          public RepositoryConnector newRepositoryConnector(RepositorySystemSession session,
                                                   RemoteRepository repository)
                                                     throws NoRepositoryConnectorException

      Specified by:
        `newRepositoryConnector` in interface `RepositoryConnectorProvider`
      Throws:
        `NoRepositoryConnectorException`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.